# Uses of Class
org.apache.avro.idl.IdlParser.MessageDeclarationContext

## Uses of IdlParser.MessageDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.MessageDeclarationContext
Modifier and Type
Field
Description
`IdlParser.MessageDeclarationContext`
IdlParser.ProtocolDeclarationBodyContext.`messageDeclaration`
Fields in org.apache.avro.idl with type parameters of type IdlParser.MessageDeclarationContext
Modifier and Type
Field
Description
`List<IdlParser.MessageDeclarationContext>`
IdlParser.ProtocolDeclarationBodyContext.`messages`
Methods in org.apache.avro.idl that return IdlParser.MessageDeclarationContext
Modifier and Type
Method
Description
`final IdlParser.MessageDeclarationContext`
IdlParser.`messageDeclaration()`
`IdlParser.MessageDeclarationContext`
IdlParser.ProtocolDeclarationBodyContext.`messageDeclaration(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.MessageDeclarationContext
Modifier and Type
Method
Description
`List<IdlParser.MessageDeclarationContext>`
IdlParser.ProtocolDeclarationBodyContext.`messageDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.MessageDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
IdlListener.`enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
IdlBaseListener.`exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
IdlListener.`exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.messageDeclaration()`.